summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Richard Ellis <rellis@dp100.com>2011-12-12 08:23:00 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:07:46 -0200
commitc9d206ee0a5432088a35b78ff455b1e92c9e5827 (patch)
tree3e8163cc573a738b4958a8cd6555b1f0ffcb94b4
parent1ee0a21c5ac8f7f4183401b5664c64f8302cfade (diff)
downloadslackbuilds-c9d206ee0a5432088a35b78ff455b1e92c9e5827.tar.gz
slackbuilds-c9d206ee0a5432088a35b78ff455b1e92c9e5827.tar.xz
libraries/tkimg: Added (IMG package for Tk)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/tkimg/README6
-rw-r--r--libraries/tkimg/slack-desc19
-rw-r--r--libraries/tkimg/tkimg.SlackBuild101
-rw-r--r--libraries/tkimg/tkimg.info10
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/tkimg/README b/libraries/tkimg/README
new file mode 100644
index 0000000000..b0a3ad29a4
--- /dev/null
+++ b/libraries/tkimg/README
@@ -0,0 +1,6 @@
+Img is a Tk extension that adds support for many Image formats.
+
+Supported formats include bmp, gif, ico, jpeg, pcx, pixmap, png,
+ppm, ps, sgi, sun, tga, tiff, xbm, xpm, dted, and raw.
+
+This requires tcllib.
diff --git a/libraries/tkimg/slack-desc b/libraries/tkimg/slack-desc
new file mode 100644
index 0000000000..171db5b1a7
--- /dev/null
+++ b/libraries/tkimg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+tkimg: tkImg (IMG package for Tk)
+tkimg:
+tkimg: The venerable IMG package by Jan Nijtmans provides the handling of
+tkimg: several image formats beyond the standard formats in Tk. The formats
+tkimg: supported by Img's latest CVS are:
+tkimg:
+tkimg: BMP, GIF (with transparency, but without LZW, due to patent
+tkimg: restrictions), ico, JPEG, pcx, pixmap, PNG, ppm, postscript, sgi, sun,
+tkimg: tga, TIFF, window, XBM, XPM, dted, and raw.
+tkimg:
+tkimg:
diff --git a/libraries/tkimg/tkimg.SlackBuild b/libraries/tkimg/tkimg.SlackBuild
new file mode 100644
index 0000000000..58b635a67e
--- /dev/null
+++ b/libraries/tkimg/tkimg.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for tkimg
+
+# Copyright 2011 Richard Ellis, Arlington, Virginia, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tkimg
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM$VERSION.tar.bz2
+cd $PRGNAM$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ license.terms README ANNOUNCE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tkimg/tkimg.info b/libraries/tkimg/tkimg.info
new file mode 100644
index 0000000000..61d93f953b
--- /dev/null
+++ b/libraries/tkimg/tkimg.info
@@ -0,0 +1,10 @@
+PRGNAM="tkimg"
+VERSION="1.4"
+HOMEPAGE="http://wiki.tcl.tk/1404"
+DOWNLOAD="http://download.sourceforge.net/tkimg/tkimg1.4.tar.bz2"
+MD5SUM="7d7ce00b1ae08a78f06c1c2cc761a155"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Richard Ellis"
+EMAIL="rellis@dp100.com"
+APPROVED="rworkman"